metadata:
  id: itchysats
  name:
    en: ItchySats
  version: 0.1.0+itchysats
  displayVersion: 0.7.0
  category:
    en: Finance
  tagline:
    en: Peer-2-peer derivatives on Bitcoin
  developers:
    ItchySats: https://itchysats.network
  description:
    en: |-
      ItchySats enables peer-2-peer CFD trading on Bitcoin using DLCs (discreet log contracts). No account needed, no trusted third-party - just you and your keys.

      This is beta software. We tested it on test- and mainnet, but there are no guarantees that it will always behave as expected.
      Please be mindful with how much money you trust the application with.
      CFDs trading is inherently risky, be sure to read up on it before using this application.

      That said: This is pretty awesome, go nuts!

      1. Fund the ItchySats wallet
      2. Open a position
      3. Monitor the price movement
      4. Profit

      Limitations of the mainnet beta:

      1. Minimum position quantity is $100, maximum $1000

      With 0.4.0 your CFDs are perpetual positions that are extended hourly. This means your CFD position will remain open forever unless you decide to close it. A funding fee is collected hourly when the CFD is extended.

      With 0.4.8 you can open long and short positions, previously only long positions were possible.

      With 0.5.0 you can chose from different from leverage. Leverage choices are configured by the maker and might initially be restricted to x1, x2 and x3.

      With 0.6.0 you can open positions on BTCUSD and ETHUSD prices. #ShortTheMerge

      With 0.7.0 we replaced basic authentication with cookie-based authentication. Password is not tied to app seed anymore; it has to be set up manually and backed up separately. Note: ItchySats wallet is still tied to the app seed.
  dependencies:
  - electrum
  - tor
  - tor
  basePermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  hasPermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  exposesPermissions: []
  repos:
    Public: https://github.com/itchysats/itchysats
  support: https://github.com/itchysats/itchysats/issues
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  icon: https://runcitadel.github.io/old-apps-gallery/itchysats/icon.svg
  defaultPassword: weareallsatoshi
  license: ''
  volumes: {}
  ports: []
  exportedData:
    bitcoin:
      info:
        rpc_accounts:
        - name: main
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: true
  preloadType: null
containers:
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - --app-seed=$APP_SEED_2
      - $BITCOIN_NETWORK
      - --electrum=tcp://$APP_ELECTRUM_IP:50001
      entrypoint: null
      environment:
        ITCHYSATS_ENV: !StringLike citadel
      hostname: null
      image: ghcr.io/itchysats/itchysats/taker:0.7.0@sha256:0c29162897a6c2bc2093373306f920400a0718960e1e4b1d80bd44beb485a498
      privileged: false
      restart: null
      stop_grace_period: 1m
      uid: null
      gid: null
      volumes:
      - !Host
        name: home-citadel-citadel-app-data-itchysats-data
        host_path: /home/citadel/citadel/app-data/itchysats/data
        mount_path: /data
        is_readonly: false
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
services:
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8000
  type: Https
  enable_compression: true
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources:
- app: tor
  plugin_id: onion-service
  definition:
    app-itchysats:
      target_svc: main
      target_ns: null
      ports:
        80:
          target_svc: host-docker-internal
          target_ns: null
          target_port: 8000
      insecure_single_hop: null
      store_name_in_secret:
        key: name
        name: onion-svc-app-itchysats-name
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
other: []
